AutoCAD Inventor :: Change Parameters In Part Occurrence Inside Assembly
Sep 5, 2013
I have an assembly which contains a CComPtr<ComponentOccurrence> pThisCompOcc , and I'd like to do two things.
Get the name of the "base" object, not the display name of the occurence Change the model and user parameter values of the occurrence I suspect that I need to find the function or method which gives me a CComPtr<PartComponentDefinition> pPartCompDef which the occurrence points to for the Q1, but what about Q2?
Presumably the parameters are associated with the Component Occurrence and the "real" name is associated with the Part Component Definition?
View 6 Replies
ADVERTISEMENT
Mar 19, 2012
I have design tree like this:
Main Assembly
L Sub Assembly1
L Sub Assembly 2
L Sub Assembly 3
L part 1
in part i have a parameter name ("Panjang")... how to control "Panjang"?. I cannot access a part parameter in Sub-assembly.
[URL]
View 9 Replies
View Related
Oct 14, 2013
There are many examples of creating rectangular patterns, but not many, if any, of interrogating existing patterns.I have attached the files and a screenshot of a rectangular part inside an assembly. The part contains a rectangular pattern of holes and workplanes.how do I get hold of each proxy of the workplane in the pattern?In other words I don't know what to put in the for loop at the end of this code fragment:
If _invApp.Documents.Count = 0 Then MsgBox("Need to open an the assembly document") ReturnEnd If If _invApp.ActiveDocument.DocumentType <> DocumentTypeEnum.kAssemblyDocumentObject Then MsgBox("Need to have an Assembly document active") ReturnEnd If Dim asmDoc As Assembly Document asmDoc = _invApp.ActiveDocument Dim asmDef As AssemblyComponentDefinition asmDef = asmDoc.ComponentDefinition im occurrences As ComponentOccurrencesoccurrences.
[code]....
View 5 Replies
View Related
Feb 22, 2013
This one work:
If L(i) = 1 Then oOcc.RenderStyle = _invApp.ActiveDocument.RenderStyles.Item("Red")
If L(i) = 2 Then oOcc.RenderStyle = _invApp.ActiveDocument.RenderStyles.Item("Yellow")
But I want to change like this and it not work:
Lcolor(1)="Red"Lcolor(2)="Yellow"L(2)=1L(1)=2for i=1 to 2oOcc.RenderStyle = _invApp.ActiveDocument.RenderStyles.Item(Lcolor(L(i)))next
What's wrong?
View 2 Replies
View Related
Aug 20, 2013
If I want to find part which is inside another part or assembly, which means no matter how I turn camera, I always cannot see that part.
Does inventor has this function? Or is it possible to develope by .NET API?
View 4 Replies
View Related
Jul 9, 2013
I downloaded a model off a website, it is, (excuse my electrical background ignorance) a jumper for terminal blocks.Our electricians use these and cut them down to size as needed.
Is there a way to use iLogic and a form or message box, to prompt upon opening the part as to how many jumpers are needed for the current assembly> It comes stock with 10, but they sometimes only use 2, 3 4 etc. etc..
I didn't model the part, but I can if it will make the rule easier to write.My idea I suppose was to have the part modeled with 2 jumpers and then use ilogic to create more if necessary.
View 4 Replies
View Related
Jul 30, 2012
I need to use parameters of a part in an assembly. How to do this? Do i need to define a rule? How is this done?
Can i do it without using an Excel sheet as a parameter source for both the assembly and the part? The target is to have inventor update an array of assets as soon as the width of a part is changed whether in Excel or in the Factory properties of the asset.
View 5 Replies
View Related
Nov 4, 2011
I am trying to control the parameters contained in a part that is not in my assembly. May sound odd, but I am using the multi body part modeling feature to create all of my bodies in a single part file, then making these components/sub assemblies, and pulling them into my assembly. However, I do not want to have the "control part" in my assembly, I just want it to drive the parts. I cannot figure out how to access these parameters without having the part included in the assembly...
View 7 Replies
View Related
Aug 7, 2011
I have the following problem. I design a simple part - an extruded base, so i have a parameter in this part that i can control the extrusion distance - i call this parameter D.
Then i create an assembly and place the part in it. How can i access the parameter D of the part from within the assembly?
I want to place multiple instances of this part in my assembly and control each parameter D of an instance using an excel worksheet that is linked with the assembly. How can i do it ?
My aim is to design a very simple manipulator. Each link has the same shape but a different length. I want to control each length from an excel worksheet and not from an ipart table. I want to have only one worksheet that controls the parameters of my assembly such as constraint angles , and link lengths.
View 5 Replies
View Related
Jan 22, 2013
My goal is to open have people go into a central assembly file, type in their specific parameters and the various part files update within the assembly. I wish to do this without the need for an excel sheet, but when I try to link the parameters from the assembly file to the part files, it will not allow me to insert these parts. I get an error about an "assembly can not be placed into itself."
Iparts will not work as this has an infinite amount of sizes.
View 3 Replies
View Related
Jun 12, 2013
Is there a standard command or command sequence that allows for the changing of a parameter, say length, of a component from within an assembly. I'm looking to compile a code that allows for a template to be created, then that template will do changes based on text box input and then save out the modified parts with new part numbers.
View 2 Replies
View Related
Jul 10, 2012
can't get the COG of a single part inside an assembly using the default feature of iLogic:
centerPt=iProperties.CenterOfGravityOfComponent("part1:1")
Wikihelp states that it's possible to get the COG of a part within an assembly.It doesn't seem to work anytime getting an error on some missing included references .do I need a Sub-Rule inside the single part?
View 2 Replies
View Related
Apr 1, 2013
I`m looking for the iLogic code that can change one parameter (user defined) for each (ipt) part in assembly (iam)
The one below doesn`t work.
Sub Main Dim oApp As Inventor.Application = ThisApplication Dim oAssy As Inventor.AssemblyDocument = oApp.ActiveDocument For Each oSubDoc as Inventor.Document In oAssy.AllReferencedDocuments On Error Resume Next Parameter(oSubDoc, "FH") = 15.26 Next End Sub
View 5 Replies
View Related
Aug 11, 2013
I have a part called "bracket" which has a multi-value parameter "mass" which can be 100, 200, 300, or 400 and controls the width of the bracket.I have an assembly into which I have placed thee brackets.
How do I set different parameters for each of the instances of "bracket"?I want one bracket with mass = 100, one with mass = 200, and one with mass = 300, such that I have three brackets of different widths.
I must not be searching on the right text in Google because I find only ways to change the value of the parameter within the core component (such that all brackets change and end up the same width).
View 9 Replies
View Related
Sep 10, 2013
Is it possible to change the parameters of a custom ipart in an assembly after it has been inserted, or can I only do an insert using AddCustomiPartMember?
In that case I simply remove the previous occurrence and insert a new one I suppose?
View 1 Replies
View Related
Jul 19, 2013
I made an assembly that adjusted to sized based on some key parameters. These key parameters are controlled by a form in the main assembly. The keys parameters actually adjust the skeleton file, which then drives the frame, then all the parts are adjusted.
after changing these parameters all necessary parts would adjust to size and keep the location constraints. Worked quite well.
The issue now is that, we adopted a new naming convention and this assembly requires all the part files to be renamed. I meticulously saved each part as their new name and then replaced each component in the main assembly. This worked to an extent. The problem that I am facing is that when I saved each part as there new name, the new part retained the linked parameters to the old part. Is there a way to change this link to the newly name skeleton file?
I looked into design assistant for this process as well, but the only changes I think available were to add a prefix or suffix. If worse comes to worse, I can remodel this project but, I am sure there has to be a way to alter this.
attached is a single part with those parameters in the image above.
View 2 Replies
View Related
Dec 14, 2012
I have created a iLogic form for my skeletal part file that drives my assembly. The issues is that it is a few steps to get the assembly to update.
Current Steps: open skeletal part fileuse form to change size parameterssave new skeletal size changesopen assemblypress the update button if changes haven't already been applied...I have tried to link these parameters directly to the assembly and tried to create the form using those linked parameters from the skeletal part file. It looks like it would work, but I am unable to edit the parameters once the form is created.
I am hoping that the I can skip opening and editing the skeletal part file.open assembly fileuse form to change size and dimensions, and all part files and drawings are updated to that new shape and size.
I have tried to create a global Form in the skeletal part file, and tried to update the size changes in the assembly file.I was able to changes the inputs this way, but once I pressed the apply I get an error with no changes. what I want but I am not very up to date on iLogic or these forms. I will be searching Google for now.
View 3 Replies
View Related
Oct 1, 2013
I have an assembly of stair made from steel. There are lots of part the same. Is there a way to make a hole (inside assembly) to one and that hole would appear on all of them.
And another problem, how can I made cut (inside assembly) through more then one part so that would affect a part also when I open it alone.
View 9 Replies
View Related
Jul 25, 2012
Before using iLogic, I created lot of iAssembly and iPart. I could change iPart factory member when I need in iAssembly.Now, I want to move everything to iLogic.
how could I change the part by iLogic code?
For example:
I generated "Part1.ipt" and "Part2.ipt",...... (I have hundred of member)
In my assembly, sometimes, I need use Part1.ipt, sometimes I need use Part2.ipt.
Which is the iLogic Code I should to use?
Inventor 2009, WIN XP.
Autodesk Inventor Professional 2013 (64 Bit) SP2
Windows 7 Professional Service Pack 1
Intel(R) Xeon(R) CPU E5645
12.0 GB Memory
View 9 Replies
View Related
Mar 30, 2012
there is a way to change the template used for a part or assembly. The problem is that I created a template to fit my needs but I had to update it and the update doesn't effect the parts created with the old version one. How do update the templates of the files created using the old template?
View 4 Replies
View Related
Jun 6, 2013
My part color is yellow. In the assembly It shows as gray.
I cant seem to get it to change to match the part color. I used to know why this happens and knew how to fix it but seem to have forgot. How do you get this to work?
I also recently loaded 2014, but had the same problem with 2013, so its not a release issue.
View 4 Replies
View Related
Dec 4, 2013
I am trying to add instances of an ipart to an assembly automatically from an excel file and need to be able to specify the occurrence x, y, and z positions. Since the Inventor version is so old I have not been able to find the proper documentation.
View 1 Replies
View Related
Sep 28, 2012
I have a simple code below trying to iterate through all the assembly component and copy the iProperties > Occurrece Name (i.e. "Part1:1") and paste it to iProperties > Project tab > Part Number field for each individual part in assembly.
' set a reference to the assembly component definintion.
' This assumes an assembly document is open.
Dim oAsmCompDef As AssemblyComponentDefinition
oAsmCompDef = ThisApplication.ActiveDocument.ComponentDefinition
'Iterate through all of the occurrences
Dim oOccurrence As ComponentOccurrence
For Each oOccurrence In oAsmCompDef.Occurrences
Dim oName As String
oName = oOccurrence.Name
iProperties.Value(oOccurrence.Name, "Project", "Part Number") = oName
MessageBox.Show(oOccurrence.Name, "iLogic")
Next
The Debug message shows the correct output for every iteration, but when I check each part's properties they all have the Occurrence Name of the last part in the aseembly.
View 4 Replies
View Related
Sep 20, 2011
How to get whether an occurence in a assembly is of content centre (kContentCenterObject) ?
View 1 Replies
View Related
Nov 24, 2011
This is my first time using Inventor but I've been using ProE for several years in school. A friend of mine told me about a feature in ProE where you are able to define a part and then define one of the lengths as it is placed into an assembly. For example I would define a 2x4 part with a length of 84inches. If I wanted a 2x4 of 68inches in my assembly I would use the same file but simply change the 84 to 68. How can I do this with Inventor?
View 1 Replies
View Related
Oct 31, 2011
I have a part that occurs nine times in an assembly. These were all the same parts before but now I need to make them table driven iParts in order to add a custom iProperty that changes to make them all different. They are all the same except for this on iProperty field that changes.I can create the iPart no problem. My questions are:
1.) Should I just open the part file and make it an iPart?
2.) Do I need to replace the files in the assembly somehow?
3.) I would assume that I can just edit the file to make it an iPart and then use some kind of "change component" right click to select which one goes where right?
4.) Is there some other workflow I should be using?
View 5 Replies
View Related
Jul 23, 2012
I have several parts that are controlled by ilogic rules linked to member names ,and in some cases some of staff run the productivity bonus tool (rename browser nodes) to either file name or part number.
This causes the rules to fail as rules definition name have been overwritten.
I am after a simple rule that is triggered on save to save my occurrence browser name to what originally was defined
Dim Browsername As String = Plywood 01
Member names example
Plywood 01
Plywood 02
Plywood 03
Plywood 04
View 6 Replies
View Related
Oct 5, 2011
How do I change the a part material render style within an assembly?
I have tried this below. It changes the name but doesn't update the render style.
Sub Material()Dim oassy As AssemblyDocumentSet oassy = ThisApplication.ActiveDocumentDim ocompdef As AssemblyComponentDefinitionSet ocompdef = oassy.ComponentDefinitionDim ooccurr As ComponentOccurrencesSet ooccurr = ocompdef.OccurrencesDim opartdef As ComponentDefinitionSet opartdef = ooccurr.Item(11).Definitionopartdef.Material.RenderStyle.Name = "Red"End Sub
View 2 Replies
View Related
Dec 8, 2011
I have set iLogic to change a rectangular pattern to a certain amount of occurrences depending on which is selected , i.e. 117 cavities, 140 cavities and 96 cavities. Only one is active (or unsuppressed ) at a time.
What I need to do is suppress the 4 corners of each pattern, considering there's only one pattern and is dynamic.
View 2 Replies
View Related
Oct 30, 2012
it is possible to make a constraint that utilized a parameter of a part within the assembly.
For example, if I wanted to use the thickness of a plate, which I defined in the part, could I call that parameter in a constraint?
View 1 Replies
View Related
Aug 9, 2012
Basically I want to place parts and have them automatically connect to each other based on pre-existing UCSs on the assemblies. I have a 'ucs_in' and a 'ucs_out' on each assembly. I want the inserted component to perform a transformation to make the new occurrence's ucs_in to "mate" to the previous occurrences ucs_out. By mate I mean their center points are at the same location and all axes are pointing in the same direction. I have included screenshots to show what I'm working with and what I am trying to accomplish. I have also attached the project files.
Below is my attempt at the code to do this. My experience with transformations is limited so I may be way off from where I need to be.
Sub UcsMate() Dim doc As AssemblyDocument Set doc = ThisApplication.ActiveDocument 'assuming both occurrences are already in the assembly and both have 2 UCS, "ucs_in" and "ucs_out" Dim occ1 As ComponentOccurrence Dim
[Code]....
View 3 Replies
View Related